<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaPendentesJSON StructType
 * @subpackage Structs
 */
class ListaPendentesJSON extends AbstractStructBase
{
    /**
     * The todosDocumentos
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $todosDocumentos;
    /**
     * The dataInicial
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataInicial;
    /**
     * The datafinal
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $datafinal;
    /**
     * The forceRefresh
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $forceRefresh;
    /**
     * Constructor method for ListaPendentesJSON
     * @uses ListaPendentesJSON::setTodosDocumentos()
     * @uses ListaPendentesJSON::setDataInicial()
     * @uses ListaPendentesJSON::setDatafinal()
     * @uses ListaPendentesJSON::setForceRefresh()
     * @param bool $todosDocumentos
     * @param string $dataInicial
     * @param string $datafinal
     * @param bool $forceRefresh
     */
    public function __construct($todosDocumentos = null, $dataInicial = null, $datafinal = null, $forceRefresh = null)
    {
        $this
            ->setTodosDocumentos($todosDocumentos)
            ->setDataInicial($dataInicial)
            ->setDatafinal($datafinal)
            ->setForceRefresh($forceRefresh);
    }
    /**
     * Get todosDocumentos value
     * @return bool|null
     */
    public function getTodosDocumentos()
    {
        return $this->todosDocumentos;
    }
    /**
     * Set todosDocumentos value
     * @param bool $todosDocumentos
     * @return \StructType\ListaPendentesJSON
     */
    public function setTodosDocumentos($todosDocumentos = null)
    {
        // validation for constraint: boolean
        if (!is_null($todosDocumentos) && !is_bool($todosDocumentos)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($todosDocumentos)), __LINE__);
        }
        $this->todosDocumentos = $todosDocumentos;
        return $this;
    }
    /**
     * Get dataInicial value
     * @return string|null
     */
    public function getDataInicial()
    {
        return $this->dataInicial;
    }
    /**
     * Set dataInicial value
     * @param string $dataInicial
     * @return \StructType\ListaPendentesJSON
     */
    public function setDataInicial($dataInicial = null)
    {
        // validation for constraint: string
        if (!is_null($dataInicial) && !is_string($dataInicial)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dataInicial)), __LINE__);
        }
        $this->dataInicial = $dataInicial;
        return $this;
    }
    /**
     * Get datafinal value
     * @return string|null
     */
    public function getDatafinal()
    {
        return $this->datafinal;
    }
    /**
     * Set datafinal value
     * @param string $datafinal
     * @return \StructType\ListaPendentesJSON
     */
    public function setDatafinal($datafinal = null)
    {
        // validation for constraint: string
        if (!is_null($datafinal) && !is_string($datafinal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($datafinal)), __LINE__);
        }
        $this->datafinal = $datafinal;
        return $this;
    }
    /**
     * Get forceRefresh value
     * @return bool|null
     */
    public function getForceRefresh()
    {
        return $this->forceRefresh;
    }
    /**
     * Set forceRefresh value
     * @param bool $forceRefresh
     * @return \StructType\ListaPendentesJSON
     */
    public function setForceRefresh($forceRefresh = null)
    {
        // validation for constraint: boolean
        if (!is_null($forceRefresh) && !is_bool($forceRefresh)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($forceRefresh)), __LINE__);
        }
        $this->forceRefresh = $forceRefresh;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ListaPendentesJSON
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
